Bug 3608 - (int-88374) Messages sometimes silently fail to open when attempting to open them from the inbox
(int-88374)
: Messages sometimes silently fail to open when attempting to open them from th...
Status: RESOLVED FIXED
Product: Email
General
: 4.1.2 (4.2008.36-5)
: N800 Maemo
: Low normal (vote)
: 4.1.3
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-08-19 03:52 UTC by kenneth
Modified: 2010-04-26 19:57 UTC (History)
4 users (show)

See Also:


Attachments
new modest log (18.81 KB, text/plain)
2008-09-10 23:48 UTC, kenneth
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description kenneth (reporter) 2008-08-19 03:52:16 UTC
sometimes when i doubletap a mail entry i see the retrieving bar show up, then
close again. at that point i would expect the mail window to open, but that do
not happen. instead i have to to tap the mail again to have the window open.

this also happens when i use the center of the dpad. but not when i use the
"e-mail > open" menu entry.
Comment 1 kenneth (reporter) 2008-08-19 07:28:00 UTC
correction, using "e-mail > open" do not change a thing.

the content of the mail will download but the mail will not open until i try to
open it a second time.
Comment 2 Andre Klapper maemo.org 2008-08-19 23:02:34 UTC
Thanks for reporting this. This bug report isn't very useful because it doesn't
describe the bug well.

There is a template for a good reason. You don't tell us the hardware you use
or the exact software version. This makes it impossible to reproduce.
Please also try to find out a pattern when this happens.

If you have time and can still reproduce the bug, please read
https://bugs.maemo.org/page.cgi?id=bug-writing.html and add a more useful
description to this bug.
Comment 3 kenneth (reporter) 2008-08-20 00:19:15 UTC
itos version: 4.2008.30-2
Comment 4 Andre Klapper maemo.org 2008-08-20 00:30:16 UTC
Yes. And I asked for hardware too (also in the other reports), and a good,
structured report.
Make it easy for developer to reproduce.
Comment 5 kenneth (reporter) 2008-08-20 03:34:13 UTC
will do, sadly i was dealing with sleep deprivation at the time...

hardware, N800.

setup, two pop3 accounts set to download headers only.

when i try to open a newly "downloaded" (that is, i have the header showing as
unread in the modest ui) mail, the retrieving message pops up in the lower
right corner, works for a moment, then goes away. nothing more happens. at
other times it pops the mail window open.

i would expect that the latter is what was supposed to happen each time.

beyond that im not really sure if i can add much that would help inpoint a
cause, except that i was not seeing this before the SSU update.
Comment 6 Andre Klapper maemo.org 2008-09-08 21:43:26 UTC
Hmm... I wonder whether debugging the connection to the mail server would help,
not sure though... Let's try:
Please start a X Terminal window and enter
    export "CAMEL_DEBUG"="all"
to enable the debug mode of the mail library. After that, enter
    /usr/bin/maemo-summoner /usr/bin/modest.launch showui > log 2>&1
to start the email application. Then try to connect to the mail server. Attach
the logfile named "log" here (please check for confidential data before
attaching).
Comment 7 kenneth (reporter) 2008-09-09 01:03:57 UTC
enjoy:

modest[19991]: GLIB DEBUG default - mission_control_get_presence_actual: MC not
running.
modest[19991]: GLIB DEBUG default - mission_control_get_connection_status: MC
not running.
modest[19991]: GLIB DEBUG default - mission_control_get_connection_status: MC
not running.
modest[19991]: GLIB DEBUG ConIc - con_ic_connection_send_event(0x43408, (null),
(null), 1)
modest[19991]: GLIB DEBUG ConIc - con_ic_connection_send_event(0x43408, (null),
(null), 1)
modest[19991]: GLIB DEBUG ConIc - con_ic_connection_send_event(0x43408,
5f37e83a-ce3c-4006-bf82-713394cd6bb4, WLAN_INFRA, 0)
modest[19991]: GLIB DEBUG default - on_connection_event: emiting is_online
(true)
modest[19991]: GLIB DEBUG default - conic_emit_status: emitting status
(0x224ad8, true) in 1000 ms
modest[19991]: GLIB DEBUG ConIc - con_ic_connection_send_event(0x43408,
5f37e83a-ce3c-4006-bf82-713394cd6bb4, WLAN_INFRA, 0)
modest[19991]: GLIB DEBUG default - conic_emit_status_idle: destroying 0x224ad8
(idle)
modest[19991]: GLIB DEBUG default - conic_emit_status_idle: emitted
tny-device-connection-changed signal
modest[19991]: GLIB DEBUG default - conic_emit_status_destroy: destroying
status info (0x224ad8)
modest[19991]: GLIB DEBUG default - conic_emit_status_destroy: destroyed
0x224ad8
maemo-summoner: summoning '/usr/bin/modest.launch'
CamelException.set(0x98e40, 2, 'Session not yet set, use
tny_camel_account_set_session')
CamelException.set(0x98f18, 2, 'Session not yet set, use
tny_camel_account_set_session')
CamelException.set(0x98f38, 2, 'Session not yet set, use
tny_camel_account_set_session')
Thread 0 >
Get folder 
info(0x38298:maildir://localhost/home/user/.modest/outboxes/account1%20noID, 
'') =
  uri: maildir:/home/user/.modest/outboxes/account1%20noID#.
  full_name: .
  flags: 0000047b
  uri: maildir:/home/user/.modest/outboxes/account1%20noID#outbox
  full_name: outbox
  flags: 00000018
< 0 >
CamelException.set(0x98e50, 2, 'Session not yet set, use
tny_camel_account_set_session')
CamelException.set(0xcf5a8, 2, 'Session not yet set, use
tny_camel_account_set_session')
Thread 0 >
Get folder
info(0x382e8:maildir://localhost/home/user/.modest/outboxes/account2ID, '') =
  uri: maildir:/home/user/.modest/outboxes/account2ID#.
  full_name: .
  flags: 0000047b
  uri: maildir:/home/user/.modest/outboxes/account2ID#outbox
  full_name: outbox
  flags: 00000018
< 0 >
CamelException.set(0xd2c18, 2, 'Session not yet set, use
tny_camel_account_set_session')
Thread 0 >
Get folder info(0x38158:maildir://localhost/home/user/.modest/local_folders,
'') =
  uri: maildir:/home/user/.modest/local_folders#.
  full_name: .
  flags: 0000047b
  uri: maildir:/home/user/.modest/local_folders#sent
  full_name: sent
  flags: 00000018
  uri: maildir:/home/user/.modest/local_folders#drafts
  full_name: drafts
  flags: 00000018
< 0 >
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
Thread 0 >
Get folder info(0xc98b8:pop://username@account2:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
Thread 0 >
Get folder info(0x38338:maildir://localhost/media/mmc1/.modest/local_folders,
'') =
  uri: maildir:/media/mmc1/.modest/local_folders#.
  full_name: .
  flags: 0000047b
  uri: maildir:/media/mmc1/.modest/local_folders#archive
  full_name: archive
  flags: 00000018
< 0 >
Thread 0 >
CamelStore('pop://username@account2:110/;use_ssl=never'):get_folder('INBOX', 0)
= 0x178630
< 0 >
POP3_STREAM_LINE(93): '+OK Messaging Multiplexor (Sun Java(tm) System Messaging
Server 6.3-3.01 (built Jul 12 2007))'
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(10): 'SASL PLAIN'
scanning tokens 'PLAIN'
got auth type 'PLAIN'
POP3_STREAM_LINE(39): 'IMPLEMENTATION MMP-6.3p3.01 Jul 12 2007'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(39): '+OK password required for user username'
Got + response
POP3_STREAM_LINE(18): '+OK Maildrop ready'
Got + response
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(3): '+OK'
Got + response
Thread 0 >
Get folder info(0xc98b8:pop://username@account2:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(93): '+OK Messaging Multiplexor (Sun Java(tm) System Messaging
Server 6.3-3.01 (built Jul 12 2007))'
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(10): 'SASL PLAIN'
scanning tokens 'PLAIN'
got auth type 'PLAIN'
POP3_STREAM_LINE(39): 'IMPLEMENTATION MMP-6.3p3.01 Jul 12 2007'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(39): '+OK password required for user username'
Got + response
POP3_STREAM_LINE(34): '+OK 27606.1220910095@mail57.server.account1'
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(18): '+OK Maildrop ready'
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(10): '+OK 1 3692'
Got + response
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(10): '+OK 1 4281'
Got + response
Thread 0 >
Get folder info(0xc98b8:pop://username@account2:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(3): '+OK'
Got + response
POP3_STREAM_LINE(93): '+OK Messaging Multiplexor (Sun Java(tm) System Messaging
Server 6.3-3.01 (built Jul 12 2007))'
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(10): 'SASL PLAIN'
scanning tokens 'PLAIN'
got auth type 'PLAIN'
POP3_STREAM_LINE(39): 'IMPLEMENTATION MMP-6.3p3.01 Jul 12 2007'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(39): '+OK password required for user username'
Got + response
POP3_STREAM_LINE(18): '+OK Maildrop ready'
Got + response
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(24): '+OK scan listing follows'
Got + response
POP3_STREAM_LINE(6): '1 4281'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(29): '+OK unique-id listing follows'
Got + response
POP3_STREAM_LINE(17): '1 4258-1176468768'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(3): '+OK'
Got + response
POP3_STREAM_LINE(10): '+OK 1 4281'
Got + response
Thread 0 >
Get folder info(0xc98b8:pop://username@account2:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(3): '+OK'
Got + response
Thread 0 >
Get folder 
info(0x38298:maildir://localhost/home/user/.modest/outboxes/account1%20noID, 
'') =
  uri: maildir:/home/user/.modest/outboxes/account1%20noID#.
  full_name: .
  flags: 0000047b
  uri: maildir:/home/user/.modest/outboxes/account1%20noID#outbox
  full_name: outbox
  flags: 00000018
< 0 >
Thread 0 >
Get folder info(0x38158:maildir://localhost/home/user/.modest/local_folders,
'') =
  uri: maildir:/home/user/.modest/local_folders#.
  full_name: .
  flags: 0000047b
  uri: maildir:/home/user/.modest/local_folders#sent
  full_name: sent
  flags: 00000018
  uri: maildir:/home/user/.modest/local_folders#drafts
  full_name: drafts
  flags: 00000018
< 0 >
Thread 0 >
Get folder
info(0x382e8:maildir://localhost/home/user/.modest/outboxes/account2ID, '') =
  uri: maildir:/home/user/.modest/outboxes/account2ID#.
  full_name: .
  flags: 0000047b
  uri: maildir:/home/user/.modest/outboxes/account2ID#outbox
  full_name: outbox
  flags: 00000018
< 0 >
Thread 0 >
CamelStore('maildir://localhost/home/user/.modest/outboxes/account1%20noID'):get_folder('outbox', 
0) = 0x46808e20
< 0 >
Thread 0 >
CamelStore('maildir://localhost/home/user/.modest/outboxes/account2ID'):get_folder('outbox',
0) = 0x1b24c8
< 0 >
Thread 0 >
CamelStore('maildir://localhost/home/user/.modest/local_folders'):get_folder('sent',
0) = 0x278f18
< 0 >
POP3_STREAM_LINE(93): '+OK Messaging Multiplexor (Sun Java(tm) System Messaging
Server 6.3-3.01 (built Jul 12 2007))'
POP3_STREAM_LINE(16): '+OK list follows'
Gomodest[19991]: GLIB WARNING ** Gdk - gdkdrawable-x11.c:878 drawable is not a
pixmap or window
modest[19991]: GLIB WARNING ** Gdk - gdkdrawable-x11.c:878 drawable is not a
pixmap or window
modest[19991]: GLIB WARNING ** Gdk - gdkdrawable-x11.c:878 drawable is not a
pixmap or window
t + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(10): 'SASL PLAIN'
scanning tokens 'PLAIN'
got auth type 'PLAIN'
POP3_STREAM_LINE(39): 'IMPLEMENTATION MMP-6.3p3.01 Jul 12 2007'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(39): '+OK password required for user username'
Got + response
POP3_STREAM_LINE(18): '+OK Maildrop ready'
Got + response
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(10): '+OK 1 4281'
Got + response
Thread 0 >
Get folder info(0xc98b8:pop://username@account2:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(24): '+OK scan listing follows'
Got + response
POP3_STREAM_LINE(6): '1 4281'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(29): '+OK unique-id listing follows'
Got + response
POP3_STREAM_LINE(17): '1 4258-1176468768'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(15): '+OK 4281 octets'
Got + response
Thread 0 >
CamelFolder:get_message('inbox', '4258-1176468768') =
class: CamelMimeMessage
mime-type: text/plain; charset=us-ascii
content class: CamelDataWrapper
content mime-type: text/plain; charset=us-ascii
< 0 >
POP3_STREAM_LINE(3): '+OK'
Got + response
Thread 0 >
CamelStore('pop://username@account1:110/;use_ssl=never'):get_folder('INBOX', 0)
= 0x22d350
< 0 >
POP3_STREAM_LINE(34): '+OK 28385.1220910141@mail58.server.account1'
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(6): '1 3692'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(39): '1 1220910008.17043.mail30.server.account1,S=3692'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
Checking expire cycle time on dir
'/home/user/.modest/cache/mail/pop/username__account1_110/cache/00'
POP3_STREAM_LINE(4): '+OK '
Got + response
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(34): '+OK 28770.1220910145@mail58.server.account1'
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(34): '+OK 28534.1220910146@mail57.server.account1'
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(6): '1 36modest[19991]: GLIB WARNING ** Gdk -
gdkdrawable-x11.c:878 drawable is not a pixmap or window
modest[19991]: GLIB WARNING ** Gdk - gdkdrawable-x11.c:878 drawable is not a
pixmap or window
modest[19991]: GLIB WARNING ** Gdk - gdkdrawable-x11.c:878 drawable is not a
pixmap or window
modest[19991]: GLIB DEBUG default - modest_runtime_uninit: cleaning up
modest[19991]: GLIB DEBUG default - modest_runtime_uninit: cleaned up signal
manager
modest[19991]: GLIB DEBUG default - modest_runtime_uninit: cleaned up
singletons
modest[19991]: GLIB DEBUG default - modest_runtime_uninit: cleaned up the
account store
modest[19991]: GLIB DEBUG default - modest_runtime_uninit: all cleaned up
92'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(39): '1 1220910008.17043.mail30.server.account1,S=3692'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
Thread 0 >
CamelFolder:get_message('inbox',
'1220910008.17043.mail30.server.account1,S=3692') =
class: CamelMimeMessage
mime-type: text/plain; charset=ISO-8859-1
content class: CamelDataWrapper
content mime-type: text/plain; charset=ISO-8859-1
< 0 >
POP3_STREAM_LINE(4): '+OK '
Got + response
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(34): '+OK 17086.1220910158@mail53.server.account1'
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(10): '+OK 1 3692'
Got + response
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(34): '+OK 29926.1220910159@mail58.server.account1'
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(27): '+OK Capability list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(4): 'LAST'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(6): '1 3692'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
POP3_STREAM_LINE(39): '1 1220910008.17043.mail30.server.account1,S=3692'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(4): '+OK '
Got + response
Thread 0 >
Get folder info(0xc9820:pop://username@account1:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
Thread 0 >
CamelStore('pop://username@account2:110/;use_ssl=never'):get_folder('INBOX', 0)
= 0x277c90
< 0 >
POP3_STREAM_LINE(93): '+OK Messaging Multiplexor (Sun Java(tm) System Messaging
Server 6.3-3.01 (built Jul 12 2007))'
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(4): 'USER'
POP3_STREAM_LINE(10): 'SASL PLAIN'
scanning tokens 'PLAIN'
got auth type 'PLAIN'
POP3_STREAM_LINE(39): 'IMPLEMENTATION MMP-6.3p3.01 Jul 12 2007'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(39): '+OK password required for user username'
Got + response
POP3_STREAM_LINE(18): '+OK Maildrop ready'
Got + response
POP3_STREAM_LINE(16): '+OK list follows'
Got + response
cmd_capa
POP3_STREAM_LINE(3): 'TOP'
POP3_STREAM_LINE(10): 'PIPELINING'
POP3_STREAM_LINE(4): 'UIDL'
POP3_STREAM_LINE(10): 'RESP-CODES'
POP3_STREAM_LINE(14): 'AUTH-RESP-CODE'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(24): '+OK scan listing follows'
Got + response
POP3_STREAM_LINE(6): '1 4281'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(29): '+OK unique-id listing follows'
Got + response
POP3_STREAM_LINE(17): '1 4258-1176468768'
POP3_STREAM_LINE(END)
POP3_STREAM_LINE(3): '+OK'
Got + response
Thread 0 >
Get folder info(0xc98b8:pop://username@account2:110/, '') =
  uri: 
  full_name: INBOX
  flags: 00000450
< 0 >
Comment 8 Ryan Abel maemo.org 2008-09-09 05:56:46 UTC
(In reply to comment #7)
> enjoy:
> <snip />

Bugzilla has an attachment feature. Please use it. :)
Comment 9 David Mery 2008-09-09 15:57:42 UTC
I had similar behaviour occurs a few times. I haven't noticed any common cause.

Newly downloaded email do not open (whether tapping on them, using the N800's
centre Dpad button or email/open).

Solution when this happens: kill the modest process (closing the app from the
UI doesn't terminate everything) and relaunch modest. It then works.
Comment 10 Andre Klapper maemo.org 2008-09-09 16:11:51 UTC
(In reply to comment #9)
> I had similar behaviour occurs a few times. I haven't noticed any common cause.
> 
> Newly downloaded email do not open (whether tapping on them, using the N800's
> centre Dpad button or email/open).

It also does not open when trying for a second or third time?
Anything else in the Modest UI works for you, or is it blocking in general?
Comment 11 David Mery 2008-09-09 16:17:04 UTC
(In reply to comment #10)
> It also does not open when trying for a second or third time?

Affirmative. When it happens I can try many times to no effect.

> Anything else in the Modest UI works for you, or is it blocking in general?

Everything else works fine (at least everything else I tend to use), including
opening other emails.
Comment 12 Andre Klapper maemo.org 2008-09-10 18:11:44 UTC
OK, so this is about double-tapping (or pressing center dpad) to open the
message, and nothing happens.

David: also POP3, or IMAP? Also set "download headers only"?
(Yes, I try to find a pattern ;-).
Comment 13 Andre Klapper maemo.org 2008-09-10 18:13:35 UTC
And how often does this happen? 1 out of 5 tries? 1 out of 20 tries?
Comment 14 David Mery 2008-09-10 18:21:46 UTC
(In reply to comment #12)
> OK, so this is about double-tapping (or pressing center dpad) to open the
> message, and nothing happens.

or email/open, or using  the prev from reading the last email that did open
ok... ie when a message doesn't open, it doesn't open whatever ways one is
trying to.

> David: also POP3, or IMAP? Also set "download headers only"?
> (Yes, I try to find a pattern ;-).

I have one IMAP mbx set up (and I so wish modest would respect the size limit
and do download smaller bodies, but that's another bug).
Comment 15 kenneth (reporter) 2008-09-10 23:48:07 UTC
Created an attachment (id=933) [details]
new modest log

while doing a log for bug #3609, i had the issue reported here happen. so im
attaching the same log here.

it was while opening/retrieving a mail on "account1".
Comment 16 Andre Klapper maemo.org 2008-09-11 01:00:39 UTC
Hmm, there's six

CamelException.set(0x98e50, 2, 'Session not yet set, use
tny_camel_account_set_session')

in there and only some Outbox related stuff around that, but don't know if
that's something critical. Let me ping a developer, thanks so far for helping!
Comment 17 Andre Klapper maemo.org 2008-09-11 16:35:01 UTC
David, can you also provide a log? Would be interesting to see if you receive
similar error messages and makes it easier to track it down. Thanks.

And how often does this happen? 1 out of 5 tries? 1 out of 20 tries?
Comment 18 David Mery 2008-09-11 18:28:11 UTC
(In reply to comment #17)
> David, can you also provide a log? 

Can I use your instruction in #6 to enable the logging and leave that on all
the time? I can't predict when this issue will happen.

> And how often does this happen? 1 out of 5 tries? 1 out of 20 tries?

Probably more 1 out 20.
Comment 19 Sergio Villar Senin 2008-10-06 18:24:33 UTC
When does this happen with POP or with IMAP accounts? Because there was a known
bug regarding POP3 servers that was fixed some weeks ago
Comment 20 David Mery 2008-10-06 19:55:33 UTC
(In reply to comment #19)
> When does this happen with POP or with IMAP accounts? Because there was a known
> bug regarding POP3 servers that was fixed some weeks ago

In my case it happened with IMAP.
Comment 21 Sergio Villar Senin 2008-10-08 13:52:40 UTC
(In reply to comment #20)
> (In reply to comment #19)
> > When does this happen with POP or with IMAP accounts? Because there was a known
> > bug regarding POP3 servers that was fixed some weeks ago
> 
> In my case it happened with IMAP.
> 

So, could you tell us which accounts have you configured? One IMAP and one POP?
Because the original reporter said that it happened to him when having two POP
accounts configured.
Comment 22 David Mery 2008-10-08 14:30:01 UTC
(In reply to comment #21)
> So, could you tell us which accounts have you configured? One IMAP and one POP?

I have only one IMAP account set up.
Comment 23 kenneth (reporter) 2008-10-08 18:59:08 UTC
i cant say for sure, but i dont recall seeing the bug after the latest ssu
update (36-something)...
Comment 24 Andre Klapper maemo.org 2008-10-14 12:51:35 UTC
Sigh... This is all still vague. :-(

David, your issue might be something different. Can you also provide logs as
described, please?

kenneth, still no more issues since the latest update to 4.2008.36-5?
Comment 25 David Mery 2008-10-14 13:44:59 UTC
(In reply to comment #24)
> David, your issue might be something different. Can you also provide logs as
> described, please?

The issue is to capture logs when it happens... and as I haven't found steps to
reproduce it, I don't even know when I should capture logs.

> kenneth, still no more issues since the latest update to 4.2008.36-5?

It hasn't happened to me either for a while and not since the last update.
Comment 26 kenneth (reporter) 2008-10-14 20:11:42 UTC
it seems to be fixed indeed, not seen it so far after the update.
Comment 27 Sergio Villar Senin 2008-10-14 20:23:26 UTC
Cool, then I'd close this Andre
Comment 28 Andre Klapper maemo.org 2008-10-15 15:43:20 UTC
Closing - both original reporter and commenter cannot reproduce anymore.
Assuming this was based on some other code fixes.
Comment 29 David Mery 2008-11-11 13:50:46 UTC
FYI I just had this situation again. I may have narrowed it down a bit (though
I don't have logs yet). This happened while I had remained connected over Wifi
for a long time. If I then closed the connection, and then tried again to open
the email message, it would then re-establish the connection and get the email
fine. So it looks like that after a long time (overnight) on a Wifi connection,
Modest for an IMAP account (at least) is getting confused with the
connectivity.
Comment 30 Andre Klapper maemo.org 2008-11-11 14:22:36 UTC
David: Please always state which exact version you are using. As written, this
might be fixed in 4.2008.36-5.
Comment 31 David Mery 2008-11-11 14:24:39 UTC
(In reply to comment #30)
> David: Please always state which exact version you are using. As written, this
> might be fixed in 4.2008.36-5.

Sorry, I am using 4.2008.36-5.
Comment 32 Sergio Villar Senin 2008-11-11 14:53:51 UTC
(In reply to comment #29)
> FYI I just had this situation again. I may have narrowed it down a bit (though
> I don't have logs yet). This happened while I had remained connected over Wifi
> for a long time. If I then closed the connection, and then tried again to open
> the email message, it would then re-establish the connection and get the email
> fine. So it looks like that after a long time (overnight) on a Wifi connection,
> Modest for an IMAP account (at least) is getting confused with the
> connectivity.
> 

I don't know if it's causing your problem, but we have just committed a fix to
tinymail that could leave an account unusable because there was a problem in
the IDLE support of tinymail. So it should be fixed in following updates.
Comment 33 Andre Klapper maemo.org 2008-11-11 15:23:13 UTC
Correction of Target Milestone as per last comment.
Comment to myself: "Just committed" means week 46.
Comment 34 David Mery 2008-11-11 20:47:11 UTC
(In reply to comment #32)
> I don't know if it's causing your problem, but we have just committed a fix to
> tinymail that could leave an account unusable because there was a problem in
> the IDLE support of tinymail. So it should be fixed in following updates.

The issues I've encountered are indeed consistent with a situation due to a
problem with IMAP IDLE.
Comment 35 Lucas Maneos 2010-04-26 19:57:38 UTC
Setting TM since 5.2008.43-7 shipped with IDLE disabled.